Bug 191027 - Crash when clicking, "Next" on a Google Video search
Summary: Crash when clicking, "Next" on a Google Video search
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Applications
Component: khtml (show other bugs)
Version: 4.2.2
Platform: Gentoo Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-04-29 13:20 UTC by Marcus Harrison
Modified: 2009-05-22 19:04 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Valgrind log (62.92 KB, text/plain)
2009-04-29 13:40 UTC, Tommi Tervo
Details
Valgrind log without arena allocator (120.45 KB, text/plain)
2009-04-30 12:33 UTC, Tommi Tervo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus Harrison 2009-04-29 13:20:58 UTC
Version:            (using KDE 4.2.2)
OS:                Linux
Installed from:    Gentoo Packages

Navigate to google video, do a search for, "kde svn", then click, "Next" at the bottom of the page. This causes a crash with the following backtrace:

Application: Konqueror (konqueror), signal SIGSEGV
[Current thread is 0 (LWP 18149)]

Thread 2 (Thread 0xb1c3fb90 (LWP 18477)):
#0  0xb7f0d424 in __kernel_vsyscall ()
#1  0xb65080a1 in select () from /lib/libc.so.6
#2  0xb71f9cc7 in QProcessManager::run (this=0x9ea24a8) at io/qprocess_unix.cpp:305
#3  0xb712aae0 in QThreadPrivate::start (arg=0x9ea24a8) at thread/qthread_unix.cpp:189
#4  0xb70a3170 in start_thread (arg=0xb1c3fb90) at pthread_create.c:297
#5  0xb650ed4e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 1 (Thread 0xb5ed2b70 (LWP 18149)):
[KCrash Handler]
#6  0x00000000 in ?? ()
#7  0xb419dc91 in khtml::InlineBox::root (this=0xa7c5fe8) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/khtml/rendering/render_line.cpp:175
#8  0xb419dd08 in khtml::InlineFlowBox::removeFromLine (this=0xa7c5fe8, child=0xa7c5fa8) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/khtml/rendering/render_line.cpp:226
#9  0xb419dd8c in khtml::InlineBox::remove (this=0x0) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/khtml/rendering/render_line.cpp:76
#10 0xb4152770 in khtml::RenderText::detach (this=0xa7d7974) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/khtml/rendering/render_text.cpp:722
#11 0xb40726cc in DOM::NodeImpl::detach (this=0xaf051d8) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/khtml/xml/dom_nodeimpl.cpp:971
#12 0xb4072dd8 in DOM::NodeBaseImpl::detach (this=0xaf04b68) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/khtml/xml/dom_nodeimpl.cpp:1733
#13 0xb40814bb in DOM::ElementImpl::detach (this=0xaf04b68) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/khtml/xml/dom_elementimpl.cpp:856
#14 0xb4072dd8 in DOM::NodeBaseImpl::detach (this=0xa9265c8) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/khtml/xml/dom_nodeimpl.cpp:1733
#15 0xb40814bb in DOM::ElementImpl::detach (this=0xa9265c8) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/khtml/xml/dom_elementimpl.cpp:856
#16 0xb4072dd8 in DOM::NodeBaseImpl::detach (this=0xb4ea9d0) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/khtml/xml/dom_nodeimpl.cpp:1733
#17 0xb40814bb in DOM::ElementImpl::detach (this=0xb4ea9d0) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/khtml/xml/dom_elementimpl.cpp:856
#18 0xb4072dd8 in DOM::NodeBaseImpl::detach (this=0xb4ead38) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/khtml/xml/dom_nodeimpl.cpp:1733
#19 0xb40814bb in DOM::ElementImpl::detach (this=0xb4ead38) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/khtml/xml/dom_elementimpl.cpp:856
#20 0xb4072dd8 in DOM::NodeBaseImpl::detach (this=0xb4ea7d8) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/khtml/xml/dom_nodeimpl.cpp:1733
#21 0xb40814bb in DOM::ElementImpl::detach (this=0xb4ea7d8) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/khtml/xml/dom_elementimpl.cpp:856
#22 0xb4072dd8 in DOM::NodeBaseImpl::detach (this=0xb4ea278) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/khtml/xml/dom_nodeimpl.cpp:1733
#23 0xb40814bb in DOM::ElementImpl::detach (this=0xb4ea278) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/khtml/xml/dom_elementimpl.cpp:856
#24 0xb4072dd8 in DOM::NodeBaseImpl::detach (this=0xb4a5598) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/khtml/xml/dom_nodeimpl.cpp:1733
#25 0xb40814bb in DOM::ElementImpl::detach (this=0xb4a5598) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/khtml/xml/dom_elementimpl.cpp:856
#26 0xb4072ca3 in DOM::NodeBaseImpl::removeChildren (this=0xae3b1b0) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/khtml/xml/dom_nodeimpl.cpp:1556
#27 0xb40d0fa3 in DOM::HTMLElementImpl::setInnerHTML (this=0xae3b1b0, html=@0xbf907c1c, exceptioncode=@0xbf907c28)
    at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/khtml/html/html_elementimpl.cpp:570
#28 0xb426a1df in KJS::HTMLElement::putValueProperty (this=0xb13f3140, exec=0xbf908160, token=346, value=0xb13f3120)
    at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/khtml/ecma/kjs_html.cpp:2563
#29 0xb426e6d7 in KJS::HTMLElement::put (this=0xb13f3140, exec=0xbf908160, propertyName=@0xa841954, value=0xb13f3120, attr=0)
    at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kjs/lookup.h:249
#30 0xb3e9c6d2 in KJS::Machine::runBlock (exec=0xbf908160, codeBlock=@0xa7d76c4, parentExec=0xbf9086f0) at codes.def:660
#31 0xb3e808c2 in KJS::FunctionImp::callAsFunction (this=0xb294f700, exec=0xbf9086f0, thisObj=0xb2950000, args=@0xbf908684)
    at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kjs/function.cpp:144
#32 0xb3e85729 in KJS::JSObject::call (this=0xb294f700, exec=0xbf9086f0, thisObj=0xb2950000, args=@0xbf908684) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kjs/object.cpp:69
#33 0xb3ea2cf3 in KJS::Machine::runBlock (exec=0xbf9086f0, codeBlock=@0xa7d76c4, parentExec=0xbf908d10) at codes.def:1192
#34 0xb3e808c2 in KJS::FunctionImp::callAsFunction (this=0xb13f82c0, exec=0xbf908d10, thisObj=0xb13f81e0, args=@0xbf908830)
    at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kjs/function.cpp:144
#35 0xb3e85729 in KJS::JSObject::call (this=0xb13f82c0, exec=0xbf908d10, thisObj=0xb13f81e0, args=@0xbf908830) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kjs/object.cpp:69
#36 0xb3e61674 in KJS::FunctionProtoFunc::callAsFunction (this=0xb294fba0, exec=0xbf908d10, thisObj=0xb13f82c0, args=@0xbf908ca4)
    at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kjs/function_object.cpp:123
#37 0xb3e85729 in KJS::JSObject::call (this=0xb294fba0, exec=0xbf908d10, thisObj=0xb13f82c0, args=@0xbf908ca4) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kjs/object.cpp:69
#38 0xb3ea2cf3 in KJS::Machine::runBlock (exec=0xbf908d10, codeBlock=@0xa7d76c4, parentExec=0xbf9092a0) at codes.def:1192
#39 0xb3e808c2 in KJS::FunctionImp::callAsFunction (this=0xb2943360, exec=0xbf9092a0, thisObj=0xb29432e0, args=@0xbf909234)
    at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kjs/function.cpp:144
#40 0xb3e85729 in KJS::JSObject::call (this=0xb2943360, exec=0xbf9092a0, thisObj=0xb29432e0, args=@0xbf909234) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kjs/object.cpp:69
#41 0xb3ea2cf3 in KJS::Machine::runBlock (exec=0xbf9092a0, codeBlock=@0xa7d76c4, parentExec=0xbf9098c0) at codes.def:1192
#42 0xb3e808c2 in KJS::FunctionImp::callAsFunction (this=0xb13f7e20, exec=0xbf9098c0, thisObj=0xb13f81e0, args=@0xbf9093dc)
    at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kjs/function.cpp:144
#43 0xb3e85729 in KJS::JSObject::call (this=0xb13f7e20, exec=0xbf9098c0, thisObj=0xb13f81e0, args=@0xbf9093dc) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kjs/object.cpp:69
#44 0xb3e614b8 in KJS::FunctionProtoFunc::callAsFunction (this=0xb294fae0, exec=0xbf9098c0, thisObj=0xb13f7e20, args=@0xbf909854)
    at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kjs/function_object.cpp:139
#45 0xb3e85729 in KJS::JSObject::call (this=0xb294fae0, exec=0xbf9098c0, thisObj=0xb13f7e20, args=@0xbf909854) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kjs/object.cpp:69
#46 0xb3ea2cf3 in KJS::Machine::runBlock (exec=0xbf9098c0, codeBlock=@0xa7d76c4, parentExec=0xbf909e50) at codes.def:1192
#47 0xb3e808c2 in KJS::FunctionImp::callAsFunction (this=0xb294cdc0, exec=0xbf909e50, thisObj=0xb13f7bc0, args=@0xbf909de4)
    at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kjs/function.cpp:144
#48 0xb3e85729 in KJS::JSObject::call (this=0xb294cdc0, exec=0xbf909e50, thisObj=0xb13f7bc0, args=@0xbf909de4) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kjs/object.cpp:69
#49 0xb3ea2cf3 in KJS::Machine::runBlock (exec=0xbf909e50, codeBlock=@0xa7d76c4, parentExec=0xbf90a3e0) at codes.def:1192
#50 0xb3e808c2 in KJS::FunctionImp::callAsFunction (this=0xb294c6e0, exec=0xbf90a3e0, thisObj=0xb2950000, args=@0xbf90a374)
    at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kjs/function.cpp:144
#51 0xb3e85729 in KJS::JSObject::call (this=0xb294c6e0, exec=0xbf90a3e0, thisObj=0xb2950000, args=@0xbf90a374) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kjs/object.cpp:69
#52 0xb3ea2cf3 in KJS::Machine::runBlock (exec=0xbf90a3e0, codeBlock=@0xa7d76c4, parentExec=0xbf90a970) at codes.def:1192
#53 0xb3e808c2 in KJS::FunctionImp::callAsFunction (this=0xb294c740, exec=0xbf90a970, thisObj=0xb2950000, args=@0xbf90a904)
    at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kjs/function.cpp:144
#54 0xb3e85729 in KJS::JSObject::call (this=0xb294c740, exec=0xbf90a970, thisObj=0xb2950000, args=@0xbf90a904) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kjs/object.cpp:69
#55 0xb3ea2cf3 in KJS::Machine::runBlock (exec=0xbf90a970, codeBlock=@0xa7d76c4, parentExec=0xbf90af00) at codes.def:1192
#56 0xb3e808c2 in KJS::FunctionImp::callAsFunction (this=0xb294c6a0, exec=0xbf90af00, thisObj=0xb2950000, args=@0xbf90ae94)
    at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kjs/function.cpp:144
#57 0xb3e85729 in KJS::JSObject::call (this=0xb294c6a0, exec=0xbf90af00, thisObj=0xb2950000, args=@0xbf90ae94) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kjs/object.cpp:69
#58 0xb3ea2cf3 in KJS::Machine::runBlock (exec=0xbf90af00, codeBlock=@0xa7d76c4, parentExec=0xbf90b520) at codes.def:1192
#59 0xb3e808c2 in KJS::FunctionImp::callAsFunction (this=0xb294c420, exec=0xbf90b520, thisObj=0xb13f81e0, args=@0xbf90b03c)
    at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kjs/function.cpp:144
#60 0xb3e85729 in KJS::JSObject::call (this=0xb294c420, exec=0xbf90b520, thisObj=0xb13f81e0, args=@0xbf90b03c) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kjs/object.cpp:69
#61 0xb3e614b8 in KJS::FunctionProtoFunc::callAsFunction (this=0xb294fae0, exec=0xbf90b520, thisObj=0xb294c420, args=@0xbf90b4b4)
    at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kjs/function_object.cpp:139
#62 0xb3e85729 in KJS::JSObject::call (this=0xb294fae0, exec=0xbf90b520, thisObj=0xb294c420, args=@0xbf90b4b4) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kjs/object.cpp:69
#63 0xb3ea2cf3 in KJS::Machine::runBlock (exec=0xbf90b520, codeBlock=@0xa7d76c4, parentExec=0xbf90bab0) at codes.def:1192
#64 0xb3e808c2 in KJS::FunctionImp::callAsFunction (this=0xb2943e00, exec=0xbf90bab0, thisObj=0xb13f81e0, args=@0xbf90ba44)
    at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kjs/function.cpp:144
#65 0xb3e85729 in KJS::JSObject::call (this=0xb2943e00, exec=0xbf90bab0, thisObj=0xb13f81e0, args=@0xbf90ba44) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kjs/object.cpp:69
#66 0xb3ea2cf3 in KJS::Machine::runBlock (exec=0xbf90bab0, codeBlock=@0xa7d76c4, parentExec=0xbf90c040) at codes.def:1192
#67 0xb3e808c2 in KJS::FunctionImp::callAsFunction (this=0xb2943c00, exec=0xbf90c040, thisObj=0xb13f81e0, args=@0xbf90bfd4)
    at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kjs/function.cpp:144
#68 0xb3e85729 in KJS::JSObject::call (this=0xb2943c00, exec=0xbf90c040, thisObj=0xb13f81e0, args=@0xbf90bfd4) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kjs/object.cpp:69
#69 0xb3ea2cf3 in KJS::Machine::runBlock (exec=0xbf90c040, codeBlock=@0xa7d76c4, parentExec=0xbf90c5d0) at codes.def:1192
#70 0xb3e808c2 in KJS::FunctionImp::callAsFunction (this=0xb2943c40, exec=0xbf90c5d0, thisObj=0xb13f81e0, args=@0xbf90c564)
    at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kjs/function.cpp:144
#71 0xb3e85729 in KJS::JSObject::call (this=0xb2943c40, exec=0xbf90c5d0, thisObj=0xb13f81e0, args=@0xbf90c564) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kjs/object.cpp:69
#72 0xb3ea2cf3 in KJS::Machine::runBlock (exec=0xbf90c5d0, codeBlock=@0xa7d76c4, parentExec=0xbf90cbf0) at codes.def:1192
#73 0xb3e808c2 in KJS::FunctionImp::callAsFunction (this=0xb2943c80, exec=0xbf90cbf0, thisObj=0xb13f81e0, args=@0xbf90c710)
    at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kjs/function.cpp:144
#74 0xb3e85729 in KJS::JSObject::call (this=0xb2943c80, exec=0xbf90cbf0, thisObj=0xb13f81e0, args=@0xbf90c710) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kjs/object.cpp:69
#75 0xb3e61674 in KJS::FunctionProtoFunc::callAsFunction (this=0xb294fba0, exec=0xbf90cbf0, thisObj=0xb2943c80, args=@0xbf90cb84)
    at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kjs/function_object.cpp:123
#76 0xb3e85729 in KJS::JSObject::call (this=0xb294fba0, exec=0xbf90cbf0, thisObj=0xb2943c80, args=@0xbf90cb84) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kjs/object.cpp:69
#77 0xb3ea2cf3 in KJS::Machine::runBlock (exec=0xbf90cbf0, codeBlock=@0xa7d76c4, parentExec=0xa6e5ca0) at codes.def:1192
#78 0xb3e808c2 in KJS::FunctionImp::callAsFunction (this=0xb13f7580, exec=0xa6e5ca0, thisObj=0xb2950000, args=@0xbf90cd38)
    at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kjs/function.cpp:144
#79 0xb3e85729 in KJS::JSObject::call (this=0xb13f7580, exec=0xa6e5ca0, thisObj=0xb2950000, args=@0xbf90cd38) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kjs/object.cpp:69
#80 0xb42b9bbd in KJS::JSEventListener::handleEvent (this=0xb776608, evt=@0xbf90cd9c) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/khtml/ecma/kjs_events.cpp:106
#81 0xb42c9590 in KJS::XMLHttpRequest::changeState (this=0xb2950040, newState=KJS::XHRS_Loaded) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/khtml/ecma/xmlhttprequest.cpp:349
#82 0xb42cae2a in KJS::XMLHttpRequest::slotFinished (this=0xb2950040) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/khtml/ecma/xmlhttprequest.cpp:719
#83 0xb42cbd02 in KJS::XMLHttpRequestQObject::qt_metacall (this=0xb3724a8, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0xbf90cefc)
    at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/khtml/ecma/xmlhttprequest.cpp:93
#84 0xb7230411 in QMetaObject::activate (sender=0xb289bc0, from_signal_index=<value optimized out>, to_signal_index=7, argv=0xbf90cefc) at kernel/qobject.cpp:3057
#85 0xb7230a22 in QMetaObject::activate (sender=0xb289bc0, m=0xb7567ee8, local_signal_index=3, argv=0xbf90cefc) at kernel/qobject.cpp:3134
#86 0xb7402e93 in KJob::result (this=0xb289bc0, _t1=0xb289bc0) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs_build/kdecore/kjob.moc:188
#87 0xb74033b9 in KJob::emitResult (this=0xb289bc0) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kdecore/jobs/kjob.cpp:294
#88 0xb7b46625 in KIO::SimpleJob::slotFinished (this=0xb289bc0) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kio/kio/job.cpp:489
#89 0xb7b4c5e3 in KIO::TransferJob::slotFinished (this=0xb289bc0) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kio/kio/job.cpp:966
#90 0xb7b4d7fb in KIO::TransferJob::qt_metacall (this=0xb289bc0, _c=QMetaObject::InvokeMetaMethod, _id=7, _a=0xbf90d138)
    at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs_build/kio/jobclasses.moc:343
#91 0xb7230411 in QMetaObject::activate (sender=0xa8deed8, from_signal_index=<value optimized out>, to_signal_index=8, argv=0x0) at kernel/qobject.cpp:3057
#92 0xb7230a22 in QMetaObject::activate (sender=0xa8deed8, m=0xb7d1be24, local_signal_index=4, argv=0x0) at kernel/qobject.cpp:3134
#93 0xb7c14717 in KIO::SlaveInterface::finished (this=0xa8deed8) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs_build/kio/slaveinterface.moc:165
#94 0xb7c1853f in KIO::SlaveInterface::dispatch (this=0xa8deed8, _cmd=104, rawdata=@0xbf90d304) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kio/kio/slaveinterface.cpp:175
#95 0xb7c14c1d in KIO::SlaveInterface::dispatch (this=0xa8deed8) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kio/kio/slaveinterface.cpp:91
#96 0xb7c04acd in KIO::Slave::gotInput (this=0xa8deed8) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kio/kio/slave.cpp:322
#97 0xb7c07123 in KIO::Slave::qt_metacall (this=0xa8deed8, _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0xbf90d418) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs_build/kio/slave.moc:76
#98 0xb7230411 in QMetaObject::activate (sender=0xa8df358, from_signal_index=<value optimized out>, to_signal_index=4, argv=0x0) at kernel/qobject.cpp:3057
#99 0xb7230a22 in QMetaObject::activate (sender=0xa8df358, m=0xb7d18900, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3134
#100 0xb7b0bd37 in KIO::Connection::readyRead (this=0xa8df358) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs_build/kio/connection.moc:86
#101 0xb7b0de59 in KIO::ConnectionPrivate::dequeue (this=0xa8ddd20) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kio/kio/connection.cpp:82
#102 0xb7b0dfe6 in KIO::Connection::qt_metacall (this=0xa8df358, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0xb27e6c0)
    at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs_build/kio/connection.moc:73
#103 0xb7228deb in QMetaCallEvent::placeMetaCall (this=0xb3133e0, object=0xa8df358) at kernel/qobject.cpp:489
#104 0xb722b010 in QObject::event (this=0xa8df358, e=0xb3133e0) at kernel/qobject.cpp:1106
#105 0xb6920ccc in QApplicationPrivate::notify_helper (this=0x9e9f430, receiver=0xa8df358, e=0xb3133e0) at kernel/qapplication.cpp:4084
#106 0xb69298af in QApplication::notify (this=0xbf90dd9c, receiver=0xa8df358, e=0xb3133e0) at kernel/qapplication.cpp:3631
#107 0xb7784bbd in KApplication::notify (this=0xbf90dd9c, receiver=0xa8df358, event=0xb3133e0) at /var/tmp/portage/kde-base/kdelibs-4.2.2-r1/work/kdelibs-4.2.2/kdeui/kernel/kapplication.cpp:307
#108 0xb721a0ab in QCoreApplication::notifyInternal (this=0xbf90dd9c, receiver=0xa8df358, event=0xb3133e0) at kernel/qcoreapplication.cpp:598
#109 0xb721da53 in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x9e8d2c0) at kernel/qcoreapplication.h:213
#110 0xb721dc5d in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1132
#111 0xb7244ccf in postEventSourceDispatch (s=0x9ea16a0) at kernel/qcoreapplication.h:218
#112 0xb6247288 in IA__g_main_context_dispatch (context=0x9ea1620) at gmain.c:2144
#113 0xb624a923 in g_main_context_iterate (context=0x9ea1620, block=1, dispatch=1, self=0x9e9f5f0) at gmain.c:2778
#114 0xb624aae1 in IA__g_main_context_iteration (context=0x9ea1620, may_block=1) at gmain.c:2841
#115 0xb72449b8 in QEventDispatcherGlib::processEvents (this=0x9e9f3f0, flags={i = -1081025864}) at kernel/qeventdispatcher_glib.cpp:323
#116 0xb69b8de5 in QGuiEventDispatcherGlib::processEvents (this=0x9e9f3f0, flags={i = -1081025816}) at kernel/qguieventdispatcher_glib.cpp:202
#117 0xb7218aea in QEventLoop::processEvents (this=0xbf90db50, flags={i = -1081025752}) at kernel/qeventloop.cpp:149
#118 0xb7218caa in QEventLoop::exec (this=0xbf90db50, flags={i = -1081025704}) at kernel/qeventloop.cpp:196
#119 0xb721dd21 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:880
#120 0xb69209f7 in QApplication::exec () at kernel/qapplication.cpp:3553
#121 0xb7ec9fdd in kdemain (argc=2, argv=0xbf90e124) at /var/tmp/portage/kde-base/konqueror-4.2.2/work/konqueror-4.2.2/konqueror/src/konqmain.cpp:257
#122 0x08048832 in main (argc=175994756, argv=0xaf04fe8) at /var/tmp/portage/kde-base/konqueror-4.2.2/work/konqueror_build/konqueror/src/konqueror_dummy.cpp:3
Comment 1 Tommi Tervo 2009-04-29 13:40:33 UTC
Created attachment 33208 [details]
Valgrind log

Confirmed, vg run from trunk attached.
Comment 2 Dario Andres 2009-04-29 16:32:58 UTC
Here using:

Qt: 4.5.1 (qt-copy  958974)
KDE: 4.2.71 (KDE 4.2.71 (KDE 4.3 >= 20090428))
kdelibs svn rev. 960693 / kdebase svn rev. 960693
on ArchLinux i686 - Kernel 2.6.29.1

I can't reproduce the crash.
Comment 3 FiNeX 2009-04-29 22:41:25 UTC
Cannot reproduce the crash too:
Qt 4.5.0
Xorg 1.6.1
Nvidia 180.44
KDE trunk r961114
Comment 4 Marcus Harrison 2009-04-30 11:05:20 UTC
Looks like it's fixed in trunk. I'm using stable and still experience the crash.

Marking as, "FIXED".
Comment 5 Tommi Tervo 2009-04-30 12:30:57 UTC
It still crashes and I've trunk r961401 build.
konqueror: /home/teve/src/kdelibs/khtml/rendering/render_line.cpp:175: khtml::RootInlineBox* khtml::InlineBox::root(): Assertion `isRootInlineBox()' failed.
Comment 6 Tommi Tervo 2009-04-30 12:33:52 UTC
Created attachment 33240 [details]
Valgrind log without arena allocator
Comment 7 Marcus Harrison 2009-04-30 19:15:15 UTC
OK, thanks for re-opening.
Comment 8 Viacheslav Tokarev 2009-05-22 19:04:08 UTC
SVN commit 971542 by vtokarev:

Invalidate and delete line box subtree of the flow when taking out
inline flow objectf rom the rendering tree. We may insert it somewhere afterwards
but still would need to recalculate inline boxes for it.
In theory, we should now better support rendering tree modifications
which was triggered lately by better continuation merge.

Thanks to Maks and Germain for the assistance!

BUG:192380
BUG:190350
BUG:191027
BUG:192105

 M  +31 -0     render_container.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=971542